Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Digest::file

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Digest::file

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO

# NAME

Digest::file - Calculate digests of files

# SYNOPSIS

      # Poor mans "md5sum" command  use Digest::file qw(digest_file_hex);  for (@ARGV) {      print digest_file_hex($_, "MD5"), "  $_\n";  }

# DESCRIPTION

This module provide 3 convenience functions to calculate the digest of files. The following functions are provided:

- digest_file( $file, $algorithm, [$arg,...] )

  This function will calculate and return the binary digest of the bytes of the given file. The function will croak if it fails to open or read the file.

  The $algorithm is a string like "MD2", "MD5", "SHA-1", "SHA-512". Additional arguments are passed to the constructor for the implementation of the given algorithm.

- digest_file_hex( $file, $algorithm, [$arg,...] )

  Same as digest_file(), but return the digest in hex form.

- digest_file_base64( $file, $algorithm, [$arg,...] )

  Same as digest_file(), but return the digest as a base64 encoded string.

# SEE ALSO

Digest

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO